version: '3.8'

services:
  dlcm-administration:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: light-administration
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-light-administration-tmp-volume:/tmp
      - dlcm-light-home-volume:/home/dlcm/:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,administration,administration-v22
    ports:
      - '$IP_ADDRESS:$DLCM_ADMINISTRATION_PORT:$DLCM_ADMINISTRATION_INTERNAL_PORT'
    networks:
      - lightnet
      - infranet
  dlcm-storagion1:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: light-storagion1
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-light-storagion1-tmp-volume:/tmp
      - dlcm-light-storagion1-normal-storage-volume:/home/dlcm/storage/normal:rw
      - dlcm-light-storagion1-secured-storage-volume:/home/dlcm/storage/secured:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,storagion1,storagion1-v22
    ports:
      - '$IP_ADDRESS:$DLCM_STORAGION1_PORT:$DLCM_STORAGION1_INTERNAL_PORT'
    networks:
      - lightnet
      - infranet
  dlcm-storagion2:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: light-storagion2
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-light-storagion2-tmp-volume:/tmp
      - dlcm-light-storagion2-normal-storage-volume:/home/dlcm/storage/normal:rw
      - dlcm-light-storagion2-secured-storage-volume:/home/dlcm/storage/secured:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,storagion2,storagion2-v22
    ports:
      - '$IP_ADDRESS:$DLCM_STORAGION2_PORT:$DLCM_STORAGION2_INTERNAL_PORT'
    networks:
      - lightnet
      - infranet
  dlcm-portal:
    image: $DOCKER_REGISTRY/dlcm-portal:$DLCM_PORTAL_VERSION
    container_name: light-portal
    restart: always
    ports:
      - '$IP_ADDRESS:$DLCM_PORTAL_PORT:8080'
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-light-portal-volume:/usr/share/nginx/html/assets/configurations:rw
    networks:
      - lightnet
      - infranet
volumes:
  dlcm-light-home-volume:
    external: true
  dlcm-light-storagion1-normal-storage-volume:
    external: true
  dlcm-light-storagion1-secured-storage-volume:
    external: true
  dlcm-light-storagion2-normal-storage-volume:
    external: true
  dlcm-light-storagion2-secured-storage-volume:
    external: true
  dlcm-light-portal-volume:
    external: true
  dlcm-light-storagion1-tmp-volume:
  dlcm-light-storagion2-tmp-volume:
  dlcm-light-administration-tmp-volume:
networks:
  lightnet:
    name: lightnet
    driver: bridge
  infranet:
    external: true
